package com.ruoyi.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.saas.base.BaseEntity;

/**
 * 人名职务监测对象 trs_name_results
 * 
 * @author ruoyi
 * @date 2025-03-24
 */
public class TrsNameResults extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 站点名称 */
    @Excel(name = "站点名称")
    private String sitename;
    /** 标题 */
    @Excel(name = "标题")
    private String title;
    /** 所在页 */
    @Excel(name = "所在页")
    private String page;

    /** 人名 */
    @Excel(name = "人名")
    private String wrongWord;

    /** 国家 */
    @Excel(name = "国家")
    private String country;

    /** 职务全称 */
    @Excel(name = "职务全称")
    private String dutyAll;

    /** 职务简称 */
    @Excel(name = "职务简称")
    private String dutyShort;

    /** 顺序 */
    @Excel(name = "顺序")
    private String sort;

    /** 上下文 */
    @Excel(name = "上下文")
    private String context;

    public String getSitetag() {
        return sitetag;
    }

    public void setSitetag(String sitetag) {
        this.sitetag = sitetag;
    }

    @Excel(name = "网站类型")
    private String sitetag;

    public String getAllcontext() {
        return allcontext;
    }

    public void setAllcontext(String allcontext) {
        this.allcontext = allcontext;
    }

    private String allcontext;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date time;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date scantime;
    public void setScantime(Date scantime)
    {
        this.scantime = scantime;
    }

    public Date getScantime()
    {
        return scantime;
    }

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    @Excel(name = "版本号")
    private String version;

    @Excel(name = "识别码")
    private String datakey;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDatakey() {
        return datakey;
    }

    public void setDatakey(String datakey) {
        this.datakey = datakey;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setSitename(String sitename) 
    {
        this.sitename = sitename;
    }

    public String getSitename() 
    {
        return sitename;
    }

    public void setPage(String page) 
    {
        this.page = page;
    }

    public String getPage() 
    {
        return page;
    }

    public void setWrongWord(String wrongWord) 
    {
        this.wrongWord = wrongWord;
    }

    public String getWrongWord() 
    {
        return wrongWord;
    }

    public void setCountry(String country) 
    {
        this.country = country;
    }

    public String getCountry() 
    {
        return country;
    }

    public void setDutyAll(String dutyAll) 
    {
        this.dutyAll = dutyAll;
    }

    public String getDutyAll() 
    {
        return dutyAll;
    }

    public void setDutyShort(String dutyShort) 
    {
        this.dutyShort = dutyShort;
    }

    public String getDutyShort() 
    {
        return dutyShort;
    }

    public void setSort(String sort) 
    {
        this.sort = sort;
    }

    public String getSort() 
    {
        return sort;
    }

    public void setContext(String context) 
    {
        this.context = context;
    }

    public String getContext() 
    {
        return context;
    }

    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sitename", getSitename())
            .append("page", getPage())
            .append("wrongWord", getWrongWord())
            .append("country", getCountry())
            .append("dutyAll", getDutyAll())
            .append("dutyShort", getDutyShort())
            .append("sort", getSort())
            .append("context", getContext())
            .append("time", getTime())
            .append("status", getStatus())
            .toString();
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    private String tenantId;

}
